APP_NAME=CasaDoc
APP_ENV=local
APP_DEBUG=true
APP_KEY=base64:TJ+3/ZMxfer42nhwYbVHKiWHbSR90VQSj1aMJ4bmi0A=
APP_URL=""

LOG_CHANNEL=stack

# Database Connection (Docker to Host)
DB_CONNECTION=mysql
DB_HOST=host.docker.internal
DB_PORT=3306
DB_DATABASE=""
DB_USERNAME=root
DB_PASSWORD=""
DB_PREFIX="auth_"

BROADCAST_DRIVER=log
CACHE_DRIVER=file
QUEUE_DRIVER=sync
SESSION_DRIVER=database
SESSION_LIFETIME=120

REDIS_HOST=127.0.0.1
REDIS_PASSWORD=null
REDIS_PORT=6379

# Mail (Log for local dev)
MAIL_MAILER=log
MAIL_FROM_NAME=CasaDoc
MAIL_FROM_ADDRESS=casadoc@test.dev
MAIL_HOST=smtp.mailtrap.io
MAIL_PORT=2525
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_ENCRYPTION=null

PUSHER_APP_ID=
PUSHER_APP_KEY=
PUSHER_APP_SECRET=
PUSHER_APP_CLUSTER=mt1

MIX_PUSHER_APP_KEY="${PUSHER_APP_KEY}"
MIX_PUSHER_APP_CLUSTER="${PUSHER_APP_CLUSTER}"

# API Configuration
EXPOSE_API=true

# Apple Social Login
APPLE_CLIENT_ID=""
APPLE_PRIVATE_KEY_PATH=""
APPLE_CALLBACK_URI=""

# Google Social Login
GOOGLE_CLIENT_ID=""
GOOGLE_CALLBACK_URI=""

# Facebook Social Login
FACEBOOK_CLIENT_ID=""
FACEBOOK_CALLBACK_URI=""
